INSERT INTO procs set name='Paniers de notices - Contenu d\'un ou de plusieurs paniers', requete='SELECT 

date_format(current_date,\'%d/%m/%Y\') as \'Edite le\',
caddie_id as \'Id\',
name as \'Panier\',

(CASE n1.niveau_biblio 
WHEN \'m\' THEN n1.code 
WHEN \'s\' THEN n1.code
END) as \'ISBN / ISSN\',

(CASE n1.niveau_biblio 
WHEN \'m\' THEN CONCAT(author_name, \', \', author_rejete)
WHEN \'a\' THEN CONCAT(author_name, \', \', author_rejete)
END) as \'Auteur\', 

(CASE n1.niveau_biblio 
WHEN \'m\' THEN \'Monographie\' 
WHEN \'a\' THEN \'Article\' 
WHEN \'s\' THEN \'Priodique\' 
WHEN \'b\' THEN \'Notice de bulletin\' 
END) as \'Type de notice\',

n1.notice_id as \'Id\',

(CASE n1.niveau_biblio 
WHEN \'m\' THEN (CASE WHEN serie_name IS NOT NULL THEN CONCAT(serie_name,\' (serie) : \', n1.tit1) ELSE n1.tit1 END) 
WHEN \'a\' THEN CONCAT(n1.tit1,\' in \', n2.tit1,\' - \',bullet1.bulletin_numero) 
WHEN \'s\' THEN n1.tit1 
WHEN \'b\' THEN CONCAT(n3.tit1, \' - \', n1.tit1) 
END) as \'Titre de la notice (+ titre de serie)\', 

(CASE n1.niveau_biblio  
WHEN \'a\' THEN bullet1.mention_date
WHEN \'b\' THEN bull2.mention_date
END) as \'Libelle de periode\',

(CASE n1.niveau_biblio 
WHEN \'m\' THEN n1.year  
WHEN \'a\' THEN date_format(bullet1.date_date,\'%d/%m/%Y\')
WHEN \'b\' THEN date_format(bull2.date_date,\'%d/%m/%Y\')
END) as \'Date de parution\',
 
(CASE n1.niveau_biblio 
WHEN \'m\' THEN p1.ed_name 
WHEN \'s\' THEN p1.ed_name 
END) as \'Editeur\',

(CASE n1.niveau_biblio 
WHEN \'m\' THEN CONCAT(\' \',ex1.expl_cote) 
WHEN \'a\' THEN CONCAT(\' \',ex2.expl_cote)
WHEN \'b\' THEN CONCAT(\' \',ex3.expl_cote)
END) as \'Cote\',

(CASE n1.niveau_biblio 
WHEN \'m\' THEN CONCAT(\' \',ex1.expl_cb) 
WHEN \'a\' THEN CONCAT(\' \',ex2.expl_cb) 
WHEN \'b\' THEN CONCAT(\' \',ex3.expl_cb) 
END) as \'Numero (exempl.)\'

FROM caddie_content, caddie, notices as n1 

LEFT JOIN series on n1.tparent_id=serie_id
LEFT JOIN responsability ON (n1.notice_id = responsability_notice and responsability_type=0)
LEFT JOIN authors ON responsability_author = author_id
LEFT JOIN analysis ON n1.notice_id = analysis_notice
LEFT JOIN bulletins AS bullet1 ON analysis_bulletin = bullet1.bulletin_id 
LEFT JOIN bulletins as bull2 ON bull2.num_notice = notice_id
LEFT JOIN notices as n2 ON bullet1.bulletin_notice = n2.notice_id 
LEFT JOIN notices as n3 ON bull2.bulletin_notice = n3.notice_id
LEFT JOIN publishers as p1 on p1.ed_id=n1.ed1_id
LEFT JOIN exemplaires as ex1 ON ex1.expl_notice = n1.notice_id 
LEFT JOIN exemplaires as ex2 ON ex2.expl_bulletin = bullet1.bulletin_id 
LEFT JOIN exemplaires as ex3 ON ex3.expl_bulletin = bull2.bulletin_id

WHERE caddie_id in (!!CADDIE!!)  AND n1.notice_id =object_id AND caddie_id = idcaddie

GROUP BY n1.notice_id 
ORDER BY 3,6,8

', comment='Monographies, titres de periodiques, articles de periodiques et notices de bulletins', autorisations='1', parameters='<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>
<FIELDS>
 <FIELD NAME=\"CADDIE\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Nom du panier]]></ALIAS>
  <TYPE>query_list</TYPE>
<OPTIONS FOR=\"query_list\">
 <QUERY><![CDATA[SELECT idcaddie, name FROM caddie WHERE type=\'NOTI\' ORDER BY name]]></QUERY>
 <MULTIPLE>yes</MULTIPLE>
 <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
</FIELDS>' 